mav_paletteTextureSetFromMem(3)

NAME
mav_paletteTextureSetFromMem - Set a palette texture from a texture in memory.

LEVEL
Maverik Level 1

SYNTAX
int mav_paletteTextureSetFromMem(MAV_palette *p, int index, int width, int height, unsigned long *mem);

ARGUMENTS
Palette to set. Index into textures table, in range 0..mav_opt_maxTextures (default 150). Width of texture, in pixels. Height of texture, in pixels. Pointer to start of memory holding texture.

DESCRIPTION
This function sets the texture for entry index in the textures table of palette p. A texture of size (width x height) is obtained from memory starting at address mem. Note that the actual texture is not copied into the texture table, only referenced.

SEE ALSO
@mav_paletteTextureFree.